eoNPtsBitXover(3)

NAME
eoNPtsBitXover - eoNPtsBitXover --> n-point crossover

SYNOPSIS

#include <ga/eoBitOp.h>

Inherits eoQuadOp< Chrom >.

  Public Member Functions
eoNPtsBitXover (const unsigned &_num_points=2)
(Default) Constructor.
virtual std::string className () const
The class name.
bool operator() (Chrom &chrom1, Chrom &chrom2)
n-point crossover for binary chromosomes.

  Private Attributes
unsigned num_points

Detailed Description

  template<class Chrom> class eoNPtsBitXover< Chrom >
eoNPtsBitXover --> n-point crossover

Definition at line 319 of file eoBitOp.h.

Member Function Documentation

  template<class Chrom> bool eoNPtsBitXover< Chrom >::operator() (Chrom & chrom1, Chrom & chrom2) [inline, virtual]

n-point crossover for binary chromosomes.

Parameters:
    chrom1 The first chromosome.
    chrom2 The first chromosome.

Implements eoBF< Chrom &, Chrom &, bool >.

Definition at line 337 of file eoBitOp.h.

Author

Generated automatically by Doxygen for EO from the source code.